#define shared_stream_buffers_init
var dllfile;
if is_string(argument0) then dllfile = argument0;
else dllfile = 'shared_stream_buffers.dll';

global.define_shared_stream_buffers_get_handle = external_define(dllfile,'shared_stream_buffers_get_handle',dll_cdecl,ty_real,0);
global.define_stream_exists = external_define(dllfile,'stream_exists',dll_cdecl,ty_real,1,ty_real);
global.define_stream_read_int8 = external_define(dllfile,'stream_read_int8',dll_cdecl,ty_real,1,ty_real);
global.define_stream_read_uint8 = external_define(dllfile,'stream_read_uint8',dll_cdecl,ty_real,1,ty_real);
global.define_stream_read_int16 = external_define(dllfile,'stream_read_int16',dll_cdecl,ty_real,1,ty_real);
global.define_stream_read_uint16 = external_define(dllfile,'stream_read_uint16',dll_cdecl,ty_real,1,ty_real);
global.define_stream_read_int32 = external_define(dllfile,'stream_read_int32',dll_cdecl,ty_real,1,ty_real);
global.define_stream_read_uint32 = external_define(dllfile,'stream_read_uint32',dll_cdecl,ty_real,1,ty_real);
global.define_stream_read_int64 = external_define(dllfile,'stream_read_int64',dll_cdecl,ty_real,1,ty_real);
global.define_stream_read_uint64 = external_define(dllfile,'stream_read_uint64',dll_cdecl,ty_real,1,ty_real);
global.define_stream_read_float32 = external_define(dllfile,'stream_read_float32',dll_cdecl,ty_real,1,ty_real);
global.define_stream_read_float64 = external_define(dllfile,'stream_read_float64',dll_cdecl,ty_real,1,ty_real);
global.define_stream_write_int8 = external_define(dllfile,'stream_write_int8',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_stream_write_uint8 = external_define(dllfile,'stream_write_uint8',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_stream_write_int16 = external_define(dllfile,'stream_write_int16',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_stream_write_uint16 = external_define(dllfile,'stream_write_uint16',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_stream_write_int32 = external_define(dllfile,'stream_write_int32',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_stream_write_uint32 = external_define(dllfile,'stream_write_uint32',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_stream_write_int64 = external_define(dllfile,'stream_write_int64',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_stream_write_uint64 = external_define(dllfile,'stream_write_uint64',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_stream_write_float32 = external_define(dllfile,'stream_write_float32',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_stream_write_float64 = external_define(dllfile,'stream_write_float64',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_stream_read_string = external_define(dllfile,'stream_read_string',dll_cdecl,ty_string,1,ty_real);
global.define_stream_write_string = external_define(dllfile,'stream_write_string',dll_cdecl,ty_real,2,ty_real,ty_string);
global.define_stream_read_data = external_define(dllfile,'stream_read_data',dll_cdecl,ty_string,2,ty_real,ty_real);
global.define_stream_write_data = external_define(dllfile,'stream_write_data',dll_cdecl,ty_real,2,ty_real,ty_string);
global.define_stream_read_hex = external_define(dllfile,'stream_read_hex',dll_cdecl,ty_string,2,ty_real,ty_real);
global.define_stream_write_hex = external_define(dllfile,'stream_write_hex',dll_cdecl,ty_real,2,ty_real,ty_string);
global.define_stream_write_stream = external_define(dllfile,'stream_write_stream',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_stream_write_stream_part = external_define(dllfile,'stream_write_stream_part',dll_cdecl,ty_real,3,ty_real,ty_real,ty_real);
global.define_stream_get_bytes_left = external_define(dllfile,'stream_get_bytes_left',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_exists = external_define(dllfile,'buffer_exists',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_get_read_pos = external_define(dllfile,'buffer_get_read_pos',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_get_write_pos = external_define(dllfile,'buffer_get_write_pos',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_get_length = external_define(dllfile,'buffer_get_length',dll_cdecl,ty_real,1,ty_real);
global.define_buffer_set_read_pos = external_define(dllfile,'buffer_set_read_pos',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_buffer_set_write_pos = external_define(dllfile,'buffer_set_write_pos',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_buffer_set_length = external_define(dllfile,'buffer_set_length',dll_cdecl,ty_real,2,ty_real,ty_real);
global.define_memorybuffer_create = external_define(dllfile,'memorybuffer_create',dll_cdecl,ty_real,0);
global.define_memorybuffer_destroy = external_define(dllfile,'memorybuffer_destroy',dll_cdecl,ty_real,1,ty_real);
global.define_memorybuffer_exists = external_define(dllfile,'memorybuffer_exists',dll_cdecl,ty_real,1,ty_real);
global.define_memorybuffer_read_from_file = external_define(dllfile,'memorybuffer_read_from_file',dll_cdecl,ty_real,2,ty_real,ty_string);
global.define_memorybuffer_write_to_file = external_define(dllfile,'memorybuffer_write_to_file',dll_cdecl,ty_real,2,ty_real,ty_string);

#define shared_stream_buffers_get_handle
// shared_stream_buffers_get_handle()
external_call(global.define_shared_stream_buffers_get_handle);
#define stream_exists
// stream_exists(id)
external_call(global.define_stream_exists,argument0);
#define stream_read_int8
// stream_read_int8(id)
external_call(global.define_stream_read_int8,argument0);
#define stream_read_uint8
// stream_read_uint8(id)
external_call(global.define_stream_read_uint8,argument0);
#define stream_read_int16
// stream_read_int16(id)
external_call(global.define_stream_read_int16,argument0);
#define stream_read_uint16
// stream_read_uint16(id)
external_call(global.define_stream_read_uint16,argument0);
#define stream_read_int32
// stream_read_int32(id)
external_call(global.define_stream_read_int32,argument0);
#define stream_read_uint32
// stream_read_uint32(id)
external_call(global.define_stream_read_uint32,argument0);
#define stream_read_int64
// stream_read_int64(id)
external_call(global.define_stream_read_int64,argument0);
#define stream_read_uint64
// stream_read_uint64(id)
external_call(global.define_stream_read_uint64,argument0);
#define stream_read_float32
// stream_read_float32(id)
external_call(global.define_stream_read_float32,argument0);
#define stream_read_float64
// stream_read_float64(id)
external_call(global.define_stream_read_float64,argument0);
#define stream_write_int8
// stream_write_int8(id,value)
external_call(global.define_stream_write_int8,argument0,argument1);
#define stream_write_uint8
// stream_write_uint8(id,value)
external_call(global.define_stream_write_uint8,argument0,argument1);
#define stream_write_int16
// stream_write_int16(id,value)
external_call(global.define_stream_write_int16,argument0,argument1);
#define stream_write_uint16
// stream_write_uint16(id,value)
external_call(global.define_stream_write_uint16,argument0,argument1);
#define stream_write_int32
// stream_write_int32(id,value)
external_call(global.define_stream_write_int32,argument0,argument1);
#define stream_write_uint32
// stream_write_uint32(id,value)
external_call(global.define_stream_write_uint32,argument0,argument1);
#define stream_write_int64
// stream_write_int64(id,value)
external_call(global.define_stream_write_int64,argument0,argument1);
#define stream_write_uint64
// stream_write_uint64(id,value)
external_call(global.define_stream_write_uint64,argument0,argument1);
#define stream_write_float32
// stream_write_float32(id,value)
external_call(global.define_stream_write_float32,argument0,argument1);
#define stream_write_float64
// stream_write_float64(id,value)
external_call(global.define_stream_write_float64,argument0,argument1);
#define stream_read_string
// stream_read_string(id)
external_call(global.define_stream_read_string,argument0);
#define stream_write_string
// stream_write_string(id,string)
external_call(global.define_stream_write_string,argument0,argument1);
#define stream_read_data
// stream_read_data(id,bytes)
external_call(global.define_stream_read_data,argument0,argument1);
#define stream_write_data
// stream_write_data(id,string)
external_call(global.define_stream_write_data,argument0,argument1);
#define stream_read_hex
// stream_read_hex(id,bytes)
external_call(global.define_stream_read_hex,argument0,argument1);
#define stream_write_hex
// stream_write_hex(id,string)
external_call(global.define_stream_write_hex,argument0,argument1);
#define stream_write_stream
// stream_write_stream(id,source_id)
external_call(global.define_stream_write_stream,argument0,argument1);
#define stream_write_stream_part
// stream_write_stream_part(id,source_id,bytes)
external_call(global.define_stream_write_stream_part,argument0,argument1,argument2);
#define stream_get_bytes_left
// stream_get_bytes_left(id)
external_call(global.define_stream_get_bytes_left,argument0);
#define buffer_exists
// buffer_exists(id)
external_call(global.define_buffer_exists,argument0);
#define buffer_get_read_pos
// buffer_get_read_pos(id)
external_call(global.define_buffer_get_read_pos,argument0);
#define buffer_get_write_pos
// buffer_get_write_pos(id)
external_call(global.define_buffer_get_write_pos,argument0);
#define buffer_get_length
// buffer_get_length(id)
external_call(global.define_buffer_get_length,argument0);
#define buffer_set_read_pos
// buffer_set_read_pos(id,readpos)
external_call(global.define_buffer_set_read_pos,argument0,argument1);
#define buffer_set_write_pos
// buffer_set_write_pos(id,writepos)
external_call(global.define_buffer_set_write_pos,argument0,argument1);
#define buffer_set_length
// buffer_set_length(id,length)
external_call(global.define_buffer_set_length,argument0,argument1);
#define memorybuffer_create
// memorybuffer_create()
external_call(global.define_memorybuffer_create);
#define memorybuffer_destroy
// memorybuffer_destroy(id)
external_call(global.define_memorybuffer_destroy,argument0);
#define memorybuffer_exists
// memorybuffer_exists(id)
external_call(global.define_memorybuffer_exists,argument0);
#define memorybuffer_read_from_file
// memorybuffer_read_from_file(id,filename)
external_call(global.define_memorybuffer_read_from_file,argument0,argument1);
#define memorybuffer_write_to_file
// memorybuffer_write_to_file(id,filename)
external_call(global.define_memorybuffer_write_to_file,argument0,argument1);
